summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChris Gianelloni <wolf31o2@gentoo.org>2006-08-11 13:56:18 +0000
committerChris Gianelloni <wolf31o2@gentoo.org>2006-08-11 13:56:18 +0000
commit670b76a6fef80bf4488e387408a6a89b30a0d0fb (patch)
tree7e4ef67fe3380b6c91d7b973ce210ba4ba0d1da6 /eclass/vmware.eclass
parentStable on alpha/ia64/mips/x86 wrt bug #142283. (diff)
downloadgentoo-2-670b76a6fef80bf4488e387408a6a89b30a0d0fb.tar.gz
gentoo-2-670b76a6fef80bf4488e387408a6a89b30a0d0fb.tar.bz2
gentoo-2-670b76a6fef80bf4488e387408a6a89b30a0d0fb.zip
Updated eclass with patch from Frank Richter <resqu@gmx.ch> in bug #137423.
Diffstat (limited to 'eclass/vmware.eclass')
-rw-r--r--eclass/vmware.eclass15
1 files changed, 9 insertions, 6 deletions
diff --git a/eclass/vmware.eclass b/eclass/vmware.eclass
index d63fbb813722..3f332432d60b 100644
--- a/eclass/vmware.eclass
+++ b/eclass/vmware.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vmware.eclass,v 1.3 2006/08/08 19:11:47 ikelos Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vmware.eclass,v 1.4 2006/08/11 13:56:18 wolf31o2 Exp $
# This eclass is for all vmware-* ebuilds in the tree and should contain all
# of the common components across the multiple packages.
@@ -179,11 +179,14 @@ vmware_src_install() {
# Just like any good monkey, we install the documentation and man pages.
[[ -d doc ]] && dodoc doc/*
- [[ -d man ]] && cd man
- for x in *
- do
- doman ${x}/* || die "doman"
- done
+ if [[ -d man ]]
+ then
+ cd man
+ for x in *
+ do
+ doman ${x}/* || die "doman"
+ done
+ fi
cd "${S}"
# We loop through our directories and copy everything to our system.